<?php
/**
 * Number
 *
 * Number input
 *
 * @since   7.6
 *
 * @package WPrequal
 */

namespace WPrequal;

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Access denied!!' );
}

$class = isset( $class ) ? $class : ''; ?>

<div class="wpq-col <?php echo esc_attr( $class ); ?>">

	<?php view( 'contact/form', 'label', $args ); ?>

	<input
		type="number"
		name="lead[fields][<?php echo esc_attr( $key ); ?>]"
		class="<?php required_class( $required ); ?> text-input wpq-input"
		min="<?php echo esc_attr( $min ); ?>"
		max="<?php echo esc_attr( $max ); ?>"
		step="<?php echo esc_attr( $step ); ?>"
		value="<?php echo esc_attr( $default ); ?>"
		aria-label="<?php echo esc_attr( $label ); ?>"
	/>
</div>
